Index: palm/trunk/SOURCE/eqn_state_seawater.f90
===================================================================
--- palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 3240)
+++ palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -143,8 +146,5 @@
        INTEGER(iwp) ::  j       !< running index y direction
        INTEGER(iwp) ::  k       !< running index z direction
-       INTEGER(iwp) ::  l       !< running index of surface type, south- or north-facing wall
        INTEGER(iwp) ::  m       !< running index surface elements
-       INTEGER(iwp) ::  surf_e  !< End index of surface elements at (j,i)-gridpoint
-       INTEGER(iwp) ::  surf_s  !< Start index of surface elements at (j,i)-gridpoint
 
        REAL(wp) ::  pden   !<
@@ -258,5 +258,4 @@
        INTEGER(iwp) ::  j       !< running index y direction
        INTEGER(iwp) ::  k       !< running index z direction
-       INTEGER(iwp) ::  l       !< running index of surface type, south- or north-facing wall
        INTEGER(iwp) ::  m       !< running index surface elements
        INTEGER(iwp) ::  surf_e  !< End index of surface elements at (j,i)-gridpoint
Index: palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz.f90	(revision 3240)
+++ palm/trunk/SOURCE/exchange_horiz.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -98,6 +101,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  bc_lr, bc_lr_cyc, bc_ns, bc_ns_cyc, grid_level,                 &
-               mg_switch_to_pe0, synchronous_exchange
+        ONLY:  bc_lr_cyc, bc_ns_cyc, grid_level, mg_switch_to_pe0,             &
+               synchronous_exchange
                 
     USE cpulog,                                                                &
@@ -114,7 +117,4 @@
 
 
-    INTEGER(iwp) ::  i           !<
-    INTEGER(iwp) ::  j           !<
-    INTEGER(iwp) ::  k           !<
     INTEGER(iwp) ::  nbgp_local  !<
     
@@ -252,10 +252,10 @@
 !-- workaround has to be removed later. Also, since PGI compiler 12.5 has problems
 !-- with array syntax, explicit loops are used.
-    IF ( bc_lr == 'cyclic' )  THEN
+    IF ( bc_lr_cyc )  THEN
        ar(:,:,nxl-nbgp_local:nxl-1) = ar(:,:,nxr-nbgp_local+1:nxr)
        ar(:,:,nxr+1:nxr+nbgp_local) = ar(:,:,nxl:nxl+nbgp_local-1)
     ENDIF
 
-    IF ( bc_ns == 'cyclic' )  THEN
+    IF ( bc_ns_cyc )  THEN
        ar(:,nys-nbgp_local:nys-1,:) = ar(:,nyn-nbgp_local+1:nyn,:)
        ar(:,nyn+1:nyn+nbgp_local,:) = ar(:,nys:nys+nbgp_local-1,:)
@@ -276,8 +276,8 @@
 
     USE control_parameters,                                                    &
-        ONLY:  bc_lr, bc_lr_cyc, bc_ns, bc_ns_cyc, grid_level
+        ONLY:  bc_lr_cyc, bc_ns_cyc, grid_level
                        
     USE indices,                                                               &
-        ONLY:  nxl, nxr, nyn, nys, nzb, nzt
+        ONLY:  nzb
         
     USE kinds
@@ -354,10 +354,10 @@
 #else
 
-    IF ( bc_lr == 'cyclic' )  THEN
+    IF ( bc_lr_cyc )  THEN
        ar(:,:,nxl_l-nbgp_local:nxl_l-1) = ar(:,:,nxr_l-nbgp_local+1:nxr_l)
        ar(:,:,nxr_l+1:nxr_l+nbgp_local) = ar(:,:,nxl_l:nxl_l+nbgp_local-1)
     ENDIF
 
-    IF ( bc_ns == 'cyclic' )  THEN
+    IF ( bc_ns_cyc )  THEN
        ar(:,nys_l-nbgp_local:nys_l-1,:) = ar(:,nyn_l-nbgp_local+1:nyn_l,:)
        ar(:,nyn_l+1:nyn_l+nbgp_local,:) = ar(:,nys_l:nys_l+nbgp_local-1,:)
Index: palm/trunk/SOURCE/fft_xy_mod.f90
===================================================================
--- palm/trunk/SOURCE/fft_xy_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/fft_xy_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! preprocessor switches for variables that are required on NEC only
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
@@ -1515,5 +1518,7 @@
        INTEGER(iwp) ::  k     !<
        INTEGER(iwp) ::  siza  !<
-       INTEGER(iwp) ::  sizw  !< required on NEC only
+#if defined( __nec )
+       INTEGER(iwp) ::  sizw
+#endif
 
        REAL(wp), DIMENSION(0:nx,nz)       ::  ar     !<
@@ -1521,5 +1526,7 @@
        REAL(wp), DIMENSION(6*(nx+4),nz+1) ::  work1  !<
        
-       COMPLEX(wp), DIMENSION(:,:), ALLOCATABLE ::  work  !< required on NEC only
+#if defined( __nec )
+       COMPLEX(wp), DIMENSION(:,:), ALLOCATABLE ::  work
+#endif
 
        IF ( fft_method == 'temperton-algorithm' )  THEN
@@ -1647,11 +1654,15 @@
        INTEGER(iwp) ::  ny1   !<
        INTEGER(iwp) ::  siza  !<
-       INTEGER(iwp) ::  sizw  !< required on NEC only
+#if defined( __nec )
+       INTEGER(iwp) ::  sizw
+#endif
 
        REAL(wp), DIMENSION(0:ny1,nz)      ::  ar     !<
        REAL(wp), DIMENSION(0:ny+3,nz+1)   ::  ai     !<
        REAL(wp), DIMENSION(6*(ny+4),nz+1) ::  work1  !<
-       
-       COMPLEX(wp), DIMENSION(:,:), ALLOCATABLE ::  work !< required on NEC only
+
+#if defined( __nec )
+       COMPLEX(wp), DIMENSION(:,:), ALLOCATABLE ::  work
+#endif
 
 
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 3240)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3042 2018-05-25 10:44:37Z schwenkel
 ! Changed the name specific humidity to mixing ratio
 ! 
@@ -287,5 +290,5 @@
     USE control_parameters,                                                    &
         ONLY:   average_count_pr, cloud_droplets, cloud_physics, do_sum,       &
-                dt_3d, g, humidity, initializing_actions, kappa, land_surface, &
+                dt_3d, g, humidity, initializing_actions, land_surface,        &
                 large_scale_forcing, large_scale_subsidence, max_pr_user,      &
                 message_string, neutral, microphysics_morrison,                &
@@ -348,5 +351,5 @@
     INTEGER(iwp) ::  l                   !< loop variable over surface facing -- up- or downward-facing
     INTEGER(iwp) ::  nt                  !<
-    INTEGER(iwp) ::  omp_get_thread_num  !<
+!$  INTEGER(iwp) ::  omp_get_thread_num  !<
     INTEGER(iwp) ::  sr                  !<
     INTEGER(iwp) ::  tn                  !<
@@ -359,5 +362,4 @@
     REAL(wp) ::  height           !<
     REAL(wp) ::  pts              !<
-    REAL(wp) ::  sums_l_eper      !<
     REAL(wp) ::  sums_l_etot      !<
     REAL(wp) ::  ust              !<
@@ -675,5 +677,5 @@
 !--          are zero at the walls and inside buildings.
        tn = 0
-       !$OMP PARALLEL PRIVATE( i, j, k, pts, sums_ll, sums_l_eper,             &
+       !$OMP PARALLEL PRIVATE( i, j, k, pts, sums_ll,                          &
        !$OMP                   sums_l_etot, tn, ust, ust2, u2, vst, vst2, v2,  &
        !$OMP                   w2, flag, m, ki, l )
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 3240)
+++ palm/trunk/SOURCE/header.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3232 2018-09-07 12:21:44Z raasch
 ! Increase printed length of run identifier
 ! 
@@ -465,5 +468,4 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=1)  ::  prec                !<
     
     CHARACTER (LEN=2)  ::  do2d_mode           !<
@@ -524,6 +526,4 @@
     INTEGER(iwp) ::  i              !<
     INTEGER(iwp) ::  io             !<
-    INTEGER(iwp) ::  j              !<
-    INTEGER(iwp) ::  k              !<
     INTEGER(iwp) ::  l              !<
     INTEGER(iwp) ::  ll             !<
@@ -576,9 +576,9 @@
        CALL message( 'header', 'PA0191', 0, 0, 0, 6, 0 )
     ENDIF
-    IF ( nested_run )  run_classification = 'nested ' // run_classification
+    IF ( nested_run )  run_classification = 'nested ' // run_classification(1:63)
     IF ( ocean )  THEN
-       run_classification = 'ocean - ' // run_classification
+       run_classification = 'ocean - ' // run_classification(1:61)
     ELSE
-       run_classification = 'atmosphere - ' // run_classification
+       run_classification = 'atmosphere - ' // run_classification(1:57)
     ENDIF
 
@@ -1884,6 +1884,6 @@
     WRITE ( io, 410 )  latitude, longitude, omega, f, fs
 
- !
-!-- Geostrophic parameters
+!
+!-- Day of year, UTC
     WRITE ( io, 456 )  day_of_year_init, time_utc_init
     
@@ -2334,6 +2334,4 @@
             '    Specific heat cap. :   c_p   = ',F6.1,' J/(kg K)'/ &
             '    Vapourization heat :   L_v   =',E9.2,' J/kg')
-418 FORMAT (/'    Day of the year at model start :   day_init      =     ',I3 &
-            /'    UTC time at model start        :   time_utc_init = ',F7.1' s')
 420 FORMAT (/'    Characteristic levels of the initial temperature profile:'// &
             '       Height:        ',A,'  m'/ &
@@ -2400,6 +2398,6 @@
 454 FORMAT ('    TKE is not allowed to fall below ',E9.2,' (m/s)**2')
 455 FORMAT ('    initial TKE is prescribed as ',E9.2,' (m/s)**2')
-456 FORMAT ('    Day of the year at model start :   day_init = ',I3             &
-            /'    UTC time at model start        :   time_utc_init = ',F7.1' s')
+456 FORMAT (/'    Day of the year at model start :   day_init      =     ',I3 &
+            /'    UTC time at model start        :   time_utc_init = ',F7.1,' s')
 457 FORMAT ('    RANS-mode constants: c_0 = ',F9.5/         &
             '                         c_1 = ',F9.5/         &
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 3240)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3234 2018-09-07 13:46:58Z schwenkel
 ! The increase of dots_num in case of radiation or land surface model must 
 ! be done before user_init is called
@@ -529,9 +532,8 @@
 
     USE microphysics_mod,                                                      &
-        ONLY:  collision_turbulence, microphysics_init
+        ONLY:  microphysics_init
 
     USE model_1d_mod,                                                          &
-        ONLY:  e1d, init_1d_model, kh1d, km1d, l1d, rif1d, u1d, us1d, usws1d,  &
-               v1d, vsws1d 
+        ONLY:  init_1d_model, l1d, u1d, v1d
 
     USE multi_agent_system_mod,                                                &
@@ -545,5 +547,5 @@
     
     USE particle_attributes,                                                   &
-        ONLY:  particle_advection, use_sgs_for_particles, wang_kernel
+        ONLY:  particle_advection
     
     USE pegrid
@@ -1613,5 +1615,5 @@
        
        IF ( random_generator == 'random-parallel' )  THEN
-          CALL init_parallel_random_generator(nx, ny, nys, nyn, nxl, nxr)
+          CALL init_parallel_random_generator( nx, nys, nyn, nxl, nxr )
        ENDIF
 !
Index: palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- palm/trunk/SOURCE/init_cloud_physics.f90	(revision 3240)
+++ palm/trunk/SOURCE/init_cloud_physics.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! ------------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -95,9 +98,8 @@
 
     USE arrays_3d,                                                             &
-        ONLY:  dzu, hyp, pt_init, zu
+        ONLY:  hyp, pt_init, zu
         
     USE cloud_parameters,                                                      &
-        ONLY:  cp, hyrho, l_d_cp, l_d_r, l_d_rv, l_v, pt_d_t, rho_l, r_d, r_v, &
-               t_d_pt
+        ONLY:  cp, hyrho, l_d_cp, l_d_r, l_d_rv, l_v, pt_d_t, r_d, r_v, t_d_pt
                 
     USE control_parameters,                                                    &
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 3240)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3200 2018-08-17 14:46:36Z suehring
 ! Bugfix, missing pre-processor directive
 ! 
@@ -351,19 +354,11 @@
                bc_dirichlet_s, bc_lr_cyc, bc_ns_cyc, bc_radiation_l,           &
                bc_radiation_n, bc_radiation_r, bc_radiation_s,                 &
-               building_height, building_length_x,                             &
-               building_length_y, building_wall_left, building_wall_south,     &
-               canyon_height, canyon_wall_left, canyon_wall_south,             &
-               canyon_width_x, canyon_width_y, constant_flux_layer,            &
-               dp_level_ind_b, dz, dz_max, dz_stretch_factor,                  &   
+               constant_flux_layer, dz, dz_max, dz_stretch_factor,             &
                dz_stretch_factor_array, dz_stretch_level, dz_stretch_level_end,&
                dz_stretch_level_end_index, dz_stretch_level_start_index,       &
-               dz_stretch_level_start, grid_level,                             &
-               ibc_uv_b, masking_method, maximum_grid_level, message_string,   &
+               dz_stretch_level_start, ibc_uv_b, message_string,               &
                momentum_advec, number_stretch_level_end,                       &
                number_stretch_level_start,ocean, psolver, scalar_advec,        &
-               topography, topography_grid_convention, tunnel_height,          &
-               tunnel_length, tunnel_width_x, tunnel_width_y,                  &
-               tunnel_wall_depth, use_surface_fluxes, use_top_fluxes,          &
-               wall_adjustment_factor
+               topography, use_surface_fluxes
          
     USE grid_variables,                                                        &
@@ -395,5 +390,4 @@
     INTEGER(iwp) ::  k             !< index variable along z
     INTEGER(iwp) ::  k_top         !< topography top index on local PE
-    INTEGER(iwp) ::  l             !< loop variable 
     INTEGER(iwp) ::  n             !< loop variable for stretching
     INTEGER(iwp) ::  number_dz     !< number of user-specified dz values       
@@ -1150,5 +1144,5 @@
  
     USE control_parameters,                                                    &
-        ONLY:  dz, dz_stretch_factor, dz_stretch_factor_array,                 &   
+        ONLY:  dz, dz_stretch_factor_array,                 &
                dz_stretch_level_end, dz_stretch_level_start, message_string
   
@@ -1299,6 +1293,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  bc_lr_cyc, bc_ns_cyc, land_surface, message_string, ocean,      &
-               urban_surface
+        ONLY:  bc_lr_cyc, bc_ns_cyc, message_string, ocean
 
     USE indices,                                                               &
@@ -1903,5 +1896,5 @@
                canyon_height, canyon_wall_left, canyon_wall_south,             &
                canyon_width_x, canyon_width_y, dp_level_ind_b, dz,             &
-               message_string, ocean, topography, topography_grid_convention,  &
+               message_string, topography, topography_grid_convention,         &
                tunnel_height, tunnel_length, tunnel_width_x, tunnel_width_y,   &
                tunnel_wall_depth
@@ -2472,6 +2465,6 @@
 
     USE indices,                                                               &
-        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nz,   &
-               nzb, nzt, wall_flags_0
+        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb,  &
+               nzt, wall_flags_0
 
     USE kinds
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 3240)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Rename variables and boundary conditions in mesoscale-offline nesting mode
 ! 
@@ -244,8 +247,7 @@
         ONLY:  bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r, bc_dirichlet_s, &
                bc_lr, bc_ns, bc_radiation_l, bc_radiation_n, bc_radiation_r,   &
-               bc_radiation_s, coupling_mode, coupling_mode_remote,            &
-               coupling_topology, gathered_size, grid_level,                   &
-               grid_level_count, maximum_grid_level, message_string,           &
-               mg_switch_to_pe0_level, momentum_advec, neutral,                &
+               bc_radiation_s, coupling_mode, coupling_topology, gathered_size,&
+               grid_level, grid_level_count, maximum_grid_level,               &
+               message_string, mg_switch_to_pe0_level, momentum_advec, neutral,&
                psolver, outflow_source_plane, recycling_width, scalar_advec,   &
                subdomain_size, turbulent_outflow, y_shift
@@ -299,5 +301,4 @@
     INTEGER(iwp) ::  mg_switch_to_pe0_level_l !<
     INTEGER(iwp) ::  nnx_y                    !<
-    INTEGER(iwp) ::  nnx_z                    !<
     INTEGER(iwp) ::  nny_x                    !<
     INTEGER(iwp) ::  nny_z                    !<
@@ -311,5 +312,5 @@
     INTEGER(iwp) ::  nzb_l                    !<
     INTEGER(iwp) ::  nzt_l                    !<
-    INTEGER(iwp) ::  omp_get_num_threads      !<
+!$  INTEGER(iwp) ::  omp_get_num_threads      !<
 
     INTEGER(iwp), DIMENSION(:), ALLOCATABLE ::  ind_all !<
Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3233 2018-09-07 13:21:24Z schwenkel
 ! Adapted for the use of cloud_droplets 
 ! 
@@ -565,5 +568,4 @@
                 drho_l_lv,                              & !< (rho_l * l_v)**-1
                 exn,                                    & !< value of the Exner function
-                e_s = 0.0_wp,                           & !< saturation water vapour pressure
                 field_capacity = 9999999.9_wp,          & !< NAMELIST m_fc
                 f_shortwave_incoming = 9999999.9_wp,    & !< NAMELIST f_sw_in
@@ -1257,5 +1259,4 @@
     CHARACTER (LEN=*) ::  dopr_unit !< local value of dopr_unit
  
-    INTEGER(iwp) ::  user_pr_index !< 
     INTEGER(iwp) ::  var_count     !< 
 
@@ -2480,5 +2481,4 @@
        INTEGER(iwp) ::  st                      !< soil-type index
        INTEGER(iwp) ::  n_soil_layers_total     !< temperature variable, stores the total number of soil layers + 4 
-       INTEGER(iwp) ::  n_surf                  !< number of surface types of given surface element 
 
        REAL(wp), DIMENSION(:), ALLOCATABLE ::  bound, bound_root_fr  !< temporary arrays for storing index bounds
@@ -6442,7 +6442,5 @@
     REAL(wp), DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_2d   !< 
 
-    REAL(wp), DIMENSION(nzb_soil:nzt_soil+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d   !< 
-
-    REAL(wp), DIMENSION(nzb_soil:nzt_soil,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d2   !< 
+    REAL(wp), DIMENSION(nzb_soil:nzt_soil,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d   !<
 
     TYPE(surf_type_lsm), SAVE :: tmp_walltype_h_1d   !< temporary 1D array containing the respective surface variable stored on file, horizontal surfaces
@@ -6554,8 +6552,8 @@
                  ALLOCATE( m_soil_av(nzb_soil:nzt_soil,nysg:nyng,nxlg:nxrg) )
               ENDIF
-              IF ( k == 1 )  READ ( 13 )  tmp_3d2(:,:,:)
+              IF ( k == 1 )  READ ( 13 )  tmp_3d(:,:,:)
               m_soil_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =           &
-                 tmp_3d2(nzb_soil:nzt_soil,nysf                                &
-                         -nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+                 tmp_3d(nzb_soil:nzt_soil,nysf                                 &
+                        -nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
            CASE ( 'qsws_liq_av' )
@@ -6586,8 +6584,7 @@
                  ALLOCATE( t_soil_av(nzb_soil:nzt_soil,nysg:nyng,nxlg:nxrg) )
               ENDIF
-              IF ( k == 1 )  READ ( 13 )  tmp_3d2(:,:,:)
+              IF ( k == 1 )  READ ( 13 )  tmp_3d(:,:,:)
               t_soil_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =           &
-                 tmp_3d2(:,nysf-nbgp:nynf+nbgp,                                &
-                         nxlf-nbgp:nxrf+nbgp)
+                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
            CASE ( 'lsm_start_index_h', 'lsm_start_index_v'  )   
@@ -7014,5 +7011,5 @@
 
        USE control_parameters,                                                 &
-           ONLY: g, kappa, message_string, molecular_viscosity
+           ONLY: g, message_string, molecular_viscosity
 
        IMPLICIT NONE
Index: palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! * Adjustment to new Inifor version: 
 !   - No vertical interpolation/extrapolation of lateral boundary data required
@@ -289,5 +292,4 @@
        INTEGER(iwp) ::  j !< running index y-direction
        INTEGER(iwp) ::  k !< running index z-direction
-       INTEGER(iwp) ::  t !< running index for time levels
 
        REAL(wp) ::  ddt_lsf !< inverse value of time resolution of forcing data
@@ -718,5 +720,4 @@
        CHARACTER (LEN=*) ::  dopr_unit !< local value of dopr_unit
  
-       INTEGER(iwp) ::  user_pr_index !<    
        INTEGER(iwp) ::  var_count     !< 
 
@@ -943,5 +944,4 @@
        INTEGER(iwp) ::  k             !<
        INTEGER(iwp) ::  nt            !<
-       INTEGER(iwp) ::  t             !< running index for time levels
 
        REAL(wp) ::  fac               !<
Index: palm/trunk/SOURCE/lpm_advec.f90
===================================================================
--- palm/trunk/SOURCE/lpm_advec.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_advec.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3207 2018-08-27 12:55:33Z schwenkel
 ! Minor bugfix for sgs-velocities in case of cloud droplets
 ! 
@@ -175,9 +178,9 @@
 
     USE control_parameters,                                                    &
-        ONLY:  atmos_ocean_sign, cloud_droplets, constant_flux_layer, dt_3d,   &
-               dt_3d_reached_l, dz, g, kappa, topography, u_gtrans, v_gtrans
+        ONLY:  cloud_droplets, constant_flux_layer, dt_3d, dt_3d_reached_l,    &
+               dz, g, kappa, topography, u_gtrans, v_gtrans
 
     USE grid_variables,                                                        &
-        ONLY:  ddx, dx, ddy, dy
+        ONLY:  dx, dy
         
     USE indices,                                                               &
@@ -187,7 +190,7 @@
     
     USE particle_attributes,                                                   &
-        ONLY:  block_offset, c_0, dt_min_part, grid_particles,                 &
-               iran_part, log_z_z0, number_of_particles, number_of_sublayers,  &
-               particles, particle_groups, offset_ocean_nzt, sgs_wf_part,      &
+        ONLY:  block_offset, c_0, dt_min_part, grid_particles, iran_part,      &
+               log_z_z0, number_of_particles, number_of_sublayers,             &
+               particles, particle_groups, sgs_wf_part,                        &
                use_sgs_for_particles, vertical_particle_advection, z0_av_global
         
@@ -202,6 +205,4 @@
     LOGICAL ::  subbox_at_wall !< flag to see if the current subgridbox is adjacent to a wall
 
-    INTEGER(iwp) ::  agp                         !< loop variable
-    INTEGER(iwp) ::  gp_outside_of_building(1:8) !< number of grid points used for particle interpolation in case of topography 
     INTEGER(iwp) ::  i                           !< index variable along x
     INTEGER(iwp) ::  ip                          !< index variable along x 
@@ -214,5 +215,4 @@
     INTEGER(iwp) ::  n                           !< loop variable over all particles in a grid box
     INTEGER(iwp) ::  nb                          !< block number particles are sorted in
-    INTEGER(iwp) ::  num_gp                      !< number of adjacent grid points inside topography 
     INTEGER(iwp) ::  surf_start                  !< Index on surface data-type for current grid box 
 
@@ -223,5 +223,4 @@
     REAL(wp) ::  bb                 !< dummy argument for horizontal particle interpolation 
     REAL(wp) ::  cc                 !< dummy argument for horizontal particle interpolation 
-    REAL(wp) ::  d_sum              !< dummy argument for horizontal particle interpolation in case of topography 
     REAL(wp) ::  d_z_p_z0           !< inverse of interpolation length for logarithmic interpolation 
     REAL(wp) ::  dd                 !< dummy argument for horizontal particle interpolation 
@@ -246,5 +245,4 @@
     REAL(wp) ::  gg                 !< dummy argument for horizontal particle interpolation 
     REAL(wp) ::  height_p           !< dummy argument for logarithmic interpolation
-    REAL(wp) ::  location(1:30,1:3) !< wall locations
     REAL(wp) ::  log_z_z0_int       !< logarithmus used for surface_layer interpolation
     REAL(wp) ::  random_gauss       !<
@@ -276,11 +274,4 @@
     REAL(wp), PARAMETER ::  d0_rog = 0.745_wp    !< separation diameter
 
-    REAL(wp), DIMENSION(1:30) ::  d_gp_pl !< dummy argument for particle interpolation scheme in case of topography
-    REAL(wp), DIMENSION(1:30) ::  de_dxi  !< horizontal TKE gradient along x at adjacent wall 
-    REAL(wp), DIMENSION(1:30) ::  de_dyi  !< horizontal TKE gradient along y at adjacent wall 
-    REAL(wp), DIMENSION(1:30) ::  de_dzi  !< horizontal TKE gradient along z at adjacent wall 
-    REAL(wp), DIMENSION(1:30) ::  dissi   !< dissipation at adjacent wall
-    REAL(wp), DIMENSION(1:30) ::  ei      !< TKE at adjacent wall
-
     REAL(wp), DIMENSION(number_of_particles) ::  term_1_2       !< flag to communicate whether a particle is near topography or not
     REAL(wp), DIMENSION(number_of_particles) ::  dens_ratio     !<
@@ -1151,5 +1142,4 @@
     REAL(wp) ::  fac     !< flag to identify adjacent topography
     REAL(wp) ::  fs_n    !< weighting factor to prevent that subgrid-scale particle speed becomes too large
-    REAL(wp) ::  sgs_w   !< constant (1/3)
     REAL(wp) ::  rg_n    !< random number
     REAL(wp) ::  term1   !< memory term
@@ -1183,5 +1173,5 @@
 !
 !-- Random term
-    term3 = SQRT( MAX( a1, 1E-20 ) ) * ( rg_n - 1.0_wp ) * SQRT( dt_n )
+    term3 = SQRT( MAX( a1, 1E-20_wp ) ) * ( rg_n - 1.0_wp ) * SQRT( dt_n )
 !
 !-- In cese one of the adjacent grid-boxes belongs to topograhy, the previous
Index: palm/trunk/SOURCE/lpm_boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3189 2018-08-06 13:18:55Z Giersch
 ! Bugfix in calculation of the x/y indices for current particle postion
 ! 
@@ -119,8 +122,8 @@
 
     USE arrays_3d,                                                             &
-        ONLY:  zu, zw
+        ONLY:  zw
 
     USE control_parameters,                                                    &
-        ONLY:  dz, message_string, particle_maximum_age
+        ONLY:  message_string, particle_maximum_age
 
     USE cpulog,                                                                &
@@ -131,5 +134,5 @@
 
     USE indices,                                                               &
-        ONLY:  nxl, nxr, nyn, nys, nz, nzb, wall_flags_0,nyng,nysg
+        ONLY:  nxl, nxr, nyn, nys, nz, wall_flags_0
 
     USE kinds
@@ -137,6 +140,5 @@
     USE particle_attributes,                                                   &
         ONLY:  deleted_particles, ibc_par_b, ibc_par_t, number_of_particles,   &
-               particles, particle_type, offset_ocean_nzt_m1,                  &
-               use_sgs_for_particles
+               particles, particle_type, use_sgs_for_particles
 
     USE pegrid
@@ -191,5 +193,4 @@
 
     REAL(wp) ::  dt_particle    !< particle timestep
-    REAL(wp) ::  dum            !< dummy argument
     REAL(wp) ::  eps = 1E-10_wp !< security number to check if particle has reached a wall
     REAL(wp) ::  pos_x          !< intermediate particle position (x)
Index: palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3039 2018-05-24 13:13:11Z schwenkel
 ! bugfix for lcm with grid stretching
 ! 
@@ -79,5 +82,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  dz, message_string, rho_surface
+        ONLY:  message_string, rho_surface
 
     USE cpulog,                                                                &
Index: palm/trunk/SOURCE/lpm_droplet_collision.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 3240)
+++ palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3039 2018-05-24 13:13:11Z schwenkel
 ! bugfix for lcm with grid stretching
 ! 
@@ -126,5 +129,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  dt_3d, message_string, dz
+        ONLY:  dt_3d, message_string
 
     USE cpulog,                                                                &
